Name: reiserfs-utils
Version: 3.x.0j
Release: 2
Summary: Tools for creating, repairing and debugging ReiserFS filesystems
URL: http://www.namesys.com/
Source: ftp://namesys.com/pub/reiserfsprogs/reiserfsprogs-%{version}.tar.bz2
Patch: reiserfs-utils-3.6.25-mkstemp.patch
Patch1: reiserfsprogs-3.x.0j-ia64.patch
Patch2: reiserfsprogs-3.x.0f-v2.patch
License: GPL
Group: System Environment/Base
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
ExcludeArch: s390 s390x

%description
The %{name} package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in ReiserFS
filesystems.
%{name} contains reiserfsck (used to repair filesystem
inconsistencies), mkreiserfs (used to initialize a partition to
contain an empty ReiserFS filesystem), debugreiserfs (used to
examine the internal structure of a filesystem, to manually repair
a corrupted filesystem or to create test cases for reiserfsck)
and some other ReiserFS filesystem utilities.

You should install the %{name} package if you want to use
ReiserFS on any of your partitions.

%prep
%setup -n reiserfsprogs-%{version}
%patch -p2 -b .sec
%patch1 -p1 -b .ia64
%patch2 -p1 -b .v2default

%build
export CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
find . -name "config.cache" |xargs rm -f
%configure --prefix=/
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"
mv -f $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -m644 debugreiserfs/debugreiserfs.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m644 fsck/reiserfsck.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m644 mkreiserfs/mkreiserfs.8 $RPM_BUILD_ROOT%{_mandir}/man8
( cd $RPM_BUILD_ROOT/sbin
  ln -fs mkreiserfs mkfs.reiserfs
  ln -fs reiserfsck fsck.reiserfs )

%files
%defattr(-,root,root)
%doc README
/sbin/debugreiserfs
/sbin/mkreiserfs
/sbin/reiserfsck
/sbin/resize_reiserfs
/sbin/unpack
/sbin/mkfs.reiserfs
/sbin/fsck.reiserfs
%{_mandir}/*/*

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Wed Apr 25 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.x.0j-1
- Update to 3.x.0j

* Mon Mar  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to 3.x.0f, many important fixes in fsck
- Add missing README (#30556)
- Use -v2 by default in mkreiserfs (#30556)

* Tue Feb 07 2001 Than Ngo <than@redhat.com>
- added Missing symlinks for mkfs and fsck commands (Bug #26359)

* Tue Jan 23 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
- changes from base package:
  - Fix a security problem (yet another tmp file issue)
  - Fix an fd leak
  - Get rid of the config.cache file, it contains broken settings
  - Install man pages
  - Fix locations of binaries, installing this stuff to "bin" is
    not really a good idea
  - Fix build on alpha and ia64
